--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: attempts to decode the specified data with the current filter
- !ruby/struct:SM::Flow::P 
  body: Filters that are only used to encode image data are accepted, but the data is returned untouched. At this stage PDF::Reader has no need to decode images.
full_name: PDF::Reader::Filter#filter
is_singleton: false
name: filter
params: (data)
visibility: public
